/*
 * Project: MoleCuilder
 * Description: creates and alters molecular systems
 * Copyright (C)  2010-2012 University of Bonn. All rights reserved.
 * Please see the LICENSE file or "Copyright notice" in builder.cpp for details.
 */

/*
 * BooleanQtQueryPipe.cpp
 *
 *  Created on: Oct 25, 2010
 *      Author: heber
 */

// include config.h
#ifdef HAVE_CONFIG_H
#include <config.h>
#endif

#include "UIElements/Qt4/Pipe/BooleanQtQueryPipe.hpp"
#include "UIElements/Qt4/QtDialog.hpp"

#include <Qt/qcombobox.h>

#include "CodePatterns/MemDebug.hpp"

BooleanQtQueryPipe::BooleanQtQueryPipe(Parameter<bool> &_content, QtDialog *_dialog, QCheckBox *_booleanCheckBox) :
  content(_content),
  dialog(_dialog),
  booleanCheckBox(_booleanCheckBox)
{}

BooleanQtQueryPipe::~BooleanQtQueryPipe()
{}

void BooleanQtQueryPipe::update(int state) {
  content.set(state == Qt::Checked);
  dialog->update();
}

